Menu
Mount & Blade
  • Tout support
  • PC
  • PS4
  • ONE
Forum
  • Accueil
  • Actus
  • Tests
  • Vidéos
  • Images
  • Soluces
  • Forum
EtoileAbonnementRSS
jeuxvideo.com  /  Mount & Blade  /  Tous les forums  /  Forum Mount & Blade  / 

Topic Traduction Star wars Conquest 0.9.4

Sujet : Traduction Star wars Conquest 0.9.4

Page suivanteFin
thomaslekiller
thomaslekiller
MP
24 novembre 2013 à 16:55:07

Bonjour à tous,

Voilà j'ai voulu installer le mod Star wars conquest pour le tester.
Je télécharge la version 0.9.4 et l'installe mais problème celui-ci est en anglais alors que sur les sites de présentation de Star wars 0.9.4 il est écrit que "plusieurs langues sont disponibles (dont le français)".

Comment puis-je le mettre en français ?

Merci d'avance et bon jeu !

LapinJaune
LapinJaune
MP
01 juin 2014 à 23:07:57

Up moi aussi je le cherche

Felnohr
Felnohr
MP
26 octobre 2019 à 00:04:46

up

daneel53
daneel53
MP
26 octobre 2019 à 19:00:43

Bonjour,

Où avez-vous vu que le français serait disponible ? Après, le mod est adapté à la version1.011 de Warband, je ne sais pas ce qu'il peut donner avec la version actuelle 1.174...

Message édité le 26 octobre 2019 à 19:03:51 par daneel53
Felnohr
Felnohr
MP
29 octobre 2019 à 21:53:00

Nul pars , seulement j'ai déjà vu des patch de la 0.9.2 et pour la 0.9.3 , donc je pensais qu'il y en aurais un pour la 0.9.4 , étant donné que ça fait pas mal de temps que la version est sortie

Felnohr
Felnohr
MP
29 octobre 2019 à 21:54:35

après si vous avez moyens de faire fonctionné le mod avec un trad fr en le mettant dans une autre version, je veut bien

daneel53
daneel53
MP
29 octobre 2019 à 23:06:25

Bonsoir,

Je réagissais sur ta phrase

sur les sites de présentation de Star wars 0.9.4 il est écrit que "plusieurs langues sont disponibles (dont le français)".

car pour ma part je n'ai vu ça écrit nulle part.

Si tu as en main la VF pour la version 0.93, tu peux toujours essayer de la mettre en place, tu verras ce que ça donne, normalement une VF ne casse rien dans le mod proprement dit, ce ne sont que des fichiers de textes traduits mis dans un dossier dédié.

Visiblement il existe une version 0.94 dite finale datant de septembre 2016 avec son patch de compatibilité pour Warband, puis un patch correctif datant du 8 janvier 2017 accompagné du patch de compatibilité pour Warband. On peut espérer que le tout fonctionne à peu près correctement avec la dernière version de Warband.
https://swconquest.github.io/
https://bitbucket.org/Swyter/swconquest-downloads/downloads/

daneel53
daneel53
MP
30 octobre 2019 à 00:01:39

A priori l'ordre d'installation est le suivant :
- le jeu complet de 2016,
- le patch de compatibilité Warband de 2016,
- le nightly patch de compatibilité Warband de 2017 qui inclut le patch du jeu 2017.

Je viens de tester en anglais et ça semble fonctionner correctement jusqu'au lancement de la partie après la création du personnage.

Je vais regarder la VF 0.9.0.3 que j'ai trouvée.

Felnohr
Felnohr
MP
30 octobre 2019 à 14:14:42

Ce n'est pas moi qui ai dit "sur les sites de présentation de Star wars 0.9.4 il est écrit que "plusieurs langues sont disponibles (dont le français)". Bref , effectivement il existe une version 0.9.4 , mais je n'ai pas trouvé de trad fr pour cette version

daneel53
daneel53
MP
30 octobre 2019 à 19:06:44

Ce n'est pas moi qui ai dit "sur les sites de présentation de Star wars 0.9.4 il est écrit que "plusieurs langues sont disponibles (dont le français)".

Exact, je te présente mes excuses. De plus j'ai fini par trouver un site où il est effectivement écrit ça.

La réalité est qu'il y a dans la distribution de la 0.94 cinq fichiers en français : factions, hints, item_kinds, parties et party_template. Cela ne suffit pas à passer tout le jeu en français mais les traductions que se trouvent dans ces cinq fichiers sont correctes et surtout adaptées aux fichiers anglais.

A l'inverse la seule VF trouvable, la 0.9.0.3, est quasi intégralement en français mais j'ai vu que dans les cinq fichiers ci-dessus qu'elle possède aussi il y a de nombreuses labels de textes qui sont incorrects, signe d'une VF qui n'est plus directement en adéquation avec la version 0.94.

Ayant l’habitude de ce travail, je vais au moins prendre le temps de refaire une VF adaptée aux textes et labels anglais de la 0.94, ce qui ne garantit pas bien entendu que cela produira une VF à 100 %, ce serait même étonnant.

Je te tiens au courant. :)

daneel53
daneel53
MP
01 novembre 2019 à 10:10:32

Me revoilà !

Alors le bilan pour l'instant est le suivant.

1 - J'ai fait générer les fichiers anglais 0.94 par le jeu.
2 - Je suis reparti des cinq fichiers en français livrés avec le jeu, factions, hints, item_kinds, parties et party_template, je les ai relus et complétés, ils sont maintenant complets.
3 - J'ai généré avec mon programme les VF des autres fichiers avec pour base les bibliothèques de traduction et les fichiers de la VF 0.9.0.3 et ça a donné ceci :
http://www.noelshack.com/2019-44-5-1572599046-traduire-m-b-1-9-2-0-2019-10-31-22-51-01.png

On voit que, à l'exception de troops, il n'y a pas beaucoup d'anglais résiduel dans ces fichiers.

Je vais donc pour le moins traduire les quelques dizaines de textes restant en anglais (hors troops). Ça doit se faire en un jour ou deux. Puis je ferai un survol rapide pour éradiquer les éventuelles fautes d'orthographe (il y en a très peu) et éradiquer d'éventuelles mauvaises traductions évidentes. Puis je mettrai tout ça en ligne.

Je ne ferai pas de relecture intégrale des 8000 lignes de ces fichiers, ça prendrait beaucoup trop de temps. Si des traductions de la 0.9.0.3 sont erronées, elles le resteront, mais à l'arrivée on aura au moins une VF totalement cohérente avec le mod en version 0.94.

Pour troops,je n'ai pas encore regardé la raison de ces 584 textes non traduits. Je vous dirai ça ce soir.

Message édité le 01 novembre 2019 à 10:11:01 par daneel53
daneel53
daneel53
MP
01 novembre 2019 à 12:03:19

Pour troops, ce nombre élevé est dû à des textes non traduits mais présents en masse : 50 "Barman", 250 "Planet Administrator", 30 "Spacestation Commander", etc. Avec la fonction "Remplacer tout" de Notepad++, tout ça se corrige très rapidement. :)

daneel53
daneel53
MP
02 novembre 2019 à 09:42:51

La VF avance... même si finalement troops m'a pris plus de temps que prévu. quick_strings est terminé, game_strings est bien entamé et je devrais le finir dans la journée.

Si tout va bien, la VF intégrale sera finie dans deux jours. :)

Message édité le 02 novembre 2019 à 09:43:22 par daneel53
daneel53
daneel53
MP
02 novembre 2019 à 21:06:10

Voilà, tous les fichiers sont traduits. Là j'en suis au stade de la relecture, un peu au hasard parce que, une nouvelle fois, je ne veux pas relire les 8000 lignes, mais je porte mes efforts sur dialogs où de nombreux textes continuent de parler de seigneur, vassal et terres là où le texte anglais parle de dirigeant, commandant et planètes. Le passif moyenâgeux de Warband a eu visiblement du mal à franchir la barrière du futur dans certains coins de la VF...

Mais qu'on ne s'y méprenne pas, je ne dis aucun mal de la VF que j'ai récupérée, elle est de bonne facture et avec peu de fautes d'orthographe par rapport à d'autres. C'est juste qu'elle a dû, comme beaucoup, s'étaler sur plusieurs versions du mod et que petit à petit la VF a dérapé par rapport au texte anglais. :)

daneel53
daneel53
MP
04 novembre 2019 à 18:47:10

J'ai fini de relire entièrement dialogs et j'ai fait des petites modifs ici et là suite à quelques essais rapides. Petit à petit les vassaux et terres ont disparu pour faire réapparaitre les commandants et les planètes.

Là je suis en train de relire game_strings. C'est globalement très propre et certains dialogues de cantina sont plutôt marrants. Lire des conversations sur l'état de la galaxie, les stations spatiales, les vaisseaux, les blasters et des speeders me change agréablement des sempiternelles épées et chevaux. :-)))

Message édité le 04 novembre 2019 à 18:48:37 par daneel53
daneel53
daneel53
MP
05 novembre 2019 à 18:03:44

Bonjour,

Le travail est terminé. J'ai le plaisir de mettre en ligne la VF 100% complète de Star Wars Conquest 0.94 en date du 05 novembre 2019. Vous pouvez la prendre ici :
http://bit.ly/34soqrw

Voici quelques remarques sur cette VF.

ui.csv

Au contraire de la plupart des mods qui veulent modifier le fichier ui.csv, les auteurs de ce mod n'ont pas déposé dans Modules\<Star War Conquest>\languages\en un fichier ui.csv complet en anglais mais un fichier qui ne contient que les lignes nouvelles et modifiées par rapport au fichier standard anglais livré avec Warband.
Le fichier traduit de la VF de ce mod est donc lui aussi partiel. Pour que le jeu soit intégralement en français, il faut que le fichier ui.csv complet en français soit présent dans le dossier <Warband>\languages\fr. Ce fichier est déjà présent si vous avez installé la VF de Native 1.174, sinon il faut le faire.

info_pages.csv

Normalement tous les mods de Warband possèdent un fichier info_pages.csv à traduire. C'est une nouveauté de Warband par rapport à Mount&Blade pour lequel ce fichier n'existait pas. Le fichier info_pages.csv en anglais est normalement généré par le jeu par l'interprétation du fichier info_pages.txt du mod.Star Wars Conquest a été développé pour Mount&Blade et ne fonctionne sous Warband que grâce à un patch qu'il vous a fallu installer après l'installation du mod proprement dit. Et justement c'est ce patch qui a amené le fichier info_pages.txt nécessaire pour la compatibilité du mod avec Warband.
Pour se faciliter l'existence, l'équipe de développement de Star Wars Conquest à emprunté le matériel nécessaire directement dans le mod The Last Day of The Third Age... et n'en a pas modifié une ligne ! Le travail d'intégration a tellement été fait a minima que le fichier info_pages.csv en anglais n'est même pas généré par Warband avec les autres fichiers .csv quand on lui demande de le faire avec la commande idoine. C'est pourquoi si vous allez dans l'onglet "Concepts" durant le jeu, vous n'y trouverez qu'un texte anglais qui parle du mod TLD et d'un tas de choses sans le moindre rapport avec Star Wars Conquest. Le rôle de la VF n'est pas d'inventer des concepts non écrits par les développeurs, le tout est donc resté en l'état dans la VF sans que celle-ci y soit pour quoi que ce soit.

Historique

Je suis parti de la VF de 2010 pour la version 0.9.0.3 trouvée ici :
https://www.mbrepository.com/who.php?id=14008
Cette VF a permis de générer environ 90% des textes de la version 0.94.

A priori grim29 est l'auteur de la VF 0.9.0.3 qu'il avait commencé par sortir pour la version 0.9.0.2.
https://www.mbrepository.com/file.php?id=1786

Amusez-vous bien dans vos vaisseaux et sur vos speeders ! :)

Felnohr
Felnohr
MP
08 novembre 2019 à 20:56:33

:O , je viens de voir t'es messages , je te remercie, c'est vraiment sympa de prendre le temps de traduire tout ça ^^

Felnohr
Felnohr
MP
08 novembre 2019 à 20:59:38

Alors, par conte j'ai pas trop trop compris comment l'installé x) Si tu pouvais me faire un topo çà serais très sympa :)

Felnohr
Felnohr
MP
08 novembre 2019 à 21:03:49

J'ai compris que je devais installé la version VF du jeu , celle directement inclus dans le jeu est incomplète ? M'enfin bref , j'ai d'ailleurs remarqué que tu était aussi l'auteur de la trad en VF du jeu , eh ben gg :D, bref , voila, j'espère que tu auras le temps de me répondre

daneel53
daneel53
MP
09 novembre 2019 à 09:59:13

Il faut que la VF de Warband 1.174, ce qu'on appelle le mod Native, soit installée. Tu prends celle du 12 mars dont le lien se trouve ici :
http://www.jeuxvideo.com/forums/42-14825-57957458-1-0-1-0-vf-warband-1-174.htm
Il y a un fichier LisezMoi dans l'archive qui explique où mettre les fichiers de la VF de Native.

Après tu installes tous les fichiers de la VF de Star Wars Conquest dans Modules\<Star Wars Conquest>\languages\fr (<Star Wars Conquest> est le nom que tu as donné au mod lors de son installation, peut-être SWC ou autre nom de ton choix).

Page suivanteFin
Répondre
Prévisu
?
Victime de harcèlement en ligne : comment réagir ?
Infos 0 connecté(s)

Gestion du forum

Modérateurs : Evilash08, Vortex646, Tomy-Fett, Leirok, TARDYL1973, MamYume, Galactico, ]Faustine[, Latios[JV]
Contacter les modérateurs - Règles du forum

Sujets à ne pas manquer

  • Aucun sujet à ne pas manquer
Meilleures offres
Disponible à l’achat ou en téléchargement sur :
Télécharger sur le Playstation StorePlaystation Store
Rakuten PC 9.82€ Rakuten PC 9.82€ Rakuten PC 11.13€ Fnac Marketplace ONE 16.98€ Amazon PS4 19.73€ Cdiscount PS4 29.83€
Marchand
Supports
Prix